#include <stdio.h>

int main(){
	int N, L, i, j, s=-1;
	
	scanf("%d %d", &N, &L);
	
	int a;
	
	for(i=0;i<N;i++){
		scanf("%d", &a);
		if(a<L){
			s=i+1;
			break;
		}
	}
		 
	printf("%d\n",s);
	return 0;
}